aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorB. Stack <bgstack15@gmail.com>2022-09-22 11:46:42 -0400
committerB. Stack <bgstack15@gmail.com>2022-09-22 11:46:42 -0400
commit36341883a36d3f445403d3c547836f2a549e54dd (patch)
treefdafd4bed743923e5c9386fbd59c98bf5c8f74e9
parentMerge branch 'build-3.24.31' into 'master' (diff)
downloadgtk3-classic-build-b3.24.34.tar.gz
gtk3-classic-build-b3.24.34.tar.bz2
gtk3-classic-build-b3.24.34.zip
update to 3.24.34b3.24.34
also add deploy-to-obs.sh
-rw-r--r--README.md4
-rwxr-xr-xdeploy-to-obs.sh42
-rwxr-xr-xgtk-classic-build-deb.sh7
3 files changed, 51 insertions, 2 deletions
diff --git a/README.md b/README.md
index a4366c1..b4246d1 100644
--- a/README.md
+++ b/README.md
@@ -17,6 +17,10 @@ The `gtk3-classic-build-deb.sh` script and Makefile can be used to generate the
The shell script finds the available gtk3 versions in debian, and gtk3-classic releases, and then finds the highest version that matches between the two. This highest version then gets downloaded, given the patches in `debian/patches/series`, and then the .dsc and .debian.tar.xz file are generated!
+An optional way to use it with `deploy-to-obs.sh`. If you need to use a custom committish for any value, define it in an environment variable.
+
+ RAW=3.24.34 CLASSIC=defuzz-3.24.34 DEB=3.24.34-3 sh -x ./deploy-to-obs.sh
+
### rpm script
The `gtk-classic-build-rpm.sh` script can be used to generate a git repository contents that can be used by rpkg on the COPR. This script also generates a src.rpm which can be used to build an rpm locally.
diff --git a/deploy-to-obs.sh b/deploy-to-obs.sh
new file mode 100755
index 0000000..0c5be54
--- /dev/null
+++ b/deploy-to-obs.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+# Startdate: 2020-11-04 15:06
+# Purpose: make it a oneliner to get into the OBS
+# History:
+# 2022-09-20 forked for gtk+3.0 gtk3-classic generator
+# Reference:
+# ublock-origin-combined/deploy-to-obs.sh but heavily modified!
+# Dependencies:
+# osc
+
+devdir=~/dev
+gitdir="${devdir}/gtk+3.0"
+obsdir="${devdir}/osc/home:bgstack15:gtk3-classic/gtk3-classic"
+prefix="gtk+3.0"
+
+# Flow
+cd "${gitdir}"
+#"${gitdir}/build-orig-tarball.sh"
+export CLASSIC RAW DEB NO_CLEAN # useful in this next script
+is_x_set="$( set -o | awk '/xtrace/{if($2=="on")print "Y"}' )"
+${is_x_set:+sh -x }"${gitdir}/gtk-classic-build-deb.sh"
+echo "DONE WITH build-orig-tarball"
+tf="$( find . -maxdepth 1 -name "${prefix}"'*orig*z' -printf '%T@ %f\n' | sort -n -k1 | awk '{print $NF}' | tail -n1 )"
+#tar -zxf "${tf}"
+#cd "$( tar -zvtf "${tf}" | awk '/^d/{print $NF}' | head -n1 )"
+#cp -pr "${gitdir}/debian" .
+#debuild -us -uc # depends on dpkg-dev=1.19.7 and not 1.20.5 which is still broken in Ceres as of 2020-11-04
+#test $? -eq 0 || { "debuild failed. Cannot continue. Aborted." ; exit 1 ; }
+cd "${gitdir}"
+dsc_file="$( find . -maxdepth 1 -name "${prefix}"'*dsc' -printf '%T@ %f\n' | sort -n -k1 | awk '{print $NF}' | tail -n1 | cut -d' ' -f2 )"
+debian_tar_file="$( find . -maxdepth 1 -name "${prefix}"'*debian*z' -printf '%T@ %f\n' | sort -n -k1 | awk '{print $NF}' | tail -n1 | cut -d' ' -f2 )"
+
+# prep obs
+cd "${obsdir}"
+osc up
+osc rm *
+cd "${gitdir}"
+cp -p "${dsc_file}" "${debian_tar_file}" "${tf}" "${obsdir}/"
+cd "${obsdir}"
+#find . -mindepth 1 -maxdepth 1 ! -name "${dsc_file}" ! -name "${debian_tar_file}" ! -name "${tf}" -delete
+osc add *
+osc commit # will prompt for commit name
diff --git a/gtk-classic-build-deb.sh b/gtk-classic-build-deb.sh
index 0e8dd4e..bddd5f1 100755
--- a/gtk-classic-build-deb.sh
+++ b/gtk-classic-build-deb.sh
@@ -87,7 +87,7 @@ cd "${WORKDIR}/gtk+-${raw_version}"
tar -Jxf "${WORKDIR}/gtk+3.0_${deb_version}.debian.tar.xz"
mv debian/changelog debian/changelog.orig
{
- echo "gtk+3.0 (${raw_version}-100+devuan) obs; urgency=medium"
+ echo "gtk+3.0 (${raw_version}-101+devuan) obs; urgency=medium"
echo ""
echo " * Rebuild gtk3 with gtk3-classic patches"
echo ""
@@ -99,7 +99,10 @@ rm debian.changelog
cp -p "${WORKDIR}/gtk3classic/"*.patch debian/patches/
cp -p "${WORKDIR}/gtk3classic/"*.css debian/patches/
cat "${WORKDIR}/gtk3classic/series" >> debian/patches/series
-sed -r -i 's/env -u LD_PRELOAD xvfb-run -a dh_auto_test/#env -u LD_PRELOAD xvfb-run -a dh_auto_test/' debian/rules
+sed -i -r debian/rules \
+ -e 's/env -u LD_PRELOAD xvfb-run -a dh_auto_test/#env -u LD_PRELOAD xvfb-run -a dh_auto_test/' \
+ -e '/NOMATCHFINDABLE/s/abcdefg/# added for 3.24.34 because LD_PRELOAD statement does nothing now/;' \
+ -e 's/run-tests\.sh.*$/run-tests.sh || :/;'
sed -r -i 's/Build-Depends: /Build-Depends: libjpeg62-turbo-dev, /' debian/control
# remove patch for all
case "${raw_version}" in
bgstack15